#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>
#include "Fl_Tabs.H"

int main(int argc, char **argv) {
  Fl_Window *window = new Fl_Window(300,300);
  Fl_Tabs *t1 = new Fl_Tabs(0, 0, 300, 20);
  new Fl_Box(0, 0, 0, 0, "Apple");
  new Fl_Box(0, 0, 0, 0, "Banana");
  new Fl_Box(0, 0, 0, 0, "Carrot");
  t1->end();
  Fl_Tabs *t2 = new Fl_Tabs(0, 22, 300, 20);
  new Fl_Box(0, 0, 0, 0, "Apple");
  new Fl_Box(0, 0, 0, 0, "Banana");
  new Fl_Box(0, 0, 0, 0, "Carrot");
  t2->label_alignment(FL_ALIGN_RIGHT);
  t2->end();
  Fl_Tabs *t3 = new Fl_Tabs(0, 44, 300, 20);
  new Fl_Box(0, 0, 0, 0, "Apple");
  new Fl_Box(0, 0, 0, 0, "Banana");
  new Fl_Box(0, 0, 0, 0, "Carrot");
  
  t3->label_alignment(FL_ALIGN_LEFT);
  t3->end();
  Fl_Tabs *t4 = new Fl_Tabs(0, 66, 300, 20);
  Fl_Box *b = new Fl_Box(0, 0, 0, 0, "Apple");
  Fl_Image *potato = new Fl_Image(16, 16, 0); 
  b->image(potato);
  b = new Fl_Box(0, 0, 0, 0, "Banana");
  b->image(potato);
  b = new Fl_Box(0, 0, 0, 0, "Carrot");
  b->image(potato);
  t4->label_alignment(FL_ALIGN_IMAGE_NEXT_TO_TEXT);
  t4->end();
  Fl_Tabs *t5 = new Fl_Tabs(0, 88, 300, 20);
  Fl_Box *c = new Fl_Box(0, 0, 0, 0, "Apple");
  c->image(potato);
  c = new Fl_Box(0, 0, 0, 0, "Banana");
  c->image(potato);
  c = new Fl_Box(0, 0, 0, 0, "Carrot");
  c->image(potato);

  t5->label_alignment(FL_ALIGN_TEXT_NEXT_TO_IMAGE);
  t5->end();
  {
    Fl_Tabs *t6 = new Fl_Tabs(0, 110, 300, 40);
    Fl_Box *d = new Fl_Box(0, 0, 0, 0, "Apple");
    d->image(potato);
    d = new Fl_Box(0, 0, 0, 0, "Banana");
    d->image(potato);
    d = new Fl_Box(0, 0, 0, 0, "Carrot");
    d->image(potato);
    t6->label_alignment(FL_ALIGN_TEXT_OVER_IMAGE);
    t6->end();
  }
  {
    Fl_Tabs *t6 = new Fl_Tabs(0, 160, 300, 40);
    Fl_Box *d = new Fl_Box(0, 0, 0, 0, "Apple");
    d->image(potato);
    d = new Fl_Box(0, 0, 0, 0, "Banana");
    d->image(potato);
    d = new Fl_Box(0, 0, 0, 0, "Carrot");
    d->image(potato);
    t6->label_alignment(FL_ALIGN_IMAGE_OVER_TEXT);
    t6->end();
  }
  window->end();
  window->show(argc, argv);
  return Fl::run();
}
